﻿$ErrorActionPreference = 'Stop'
$packageName = 'google-backup-and-sync' 
$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url         = 'https://dl.google.com/drive/gsync_enterprise.msi'
$checksum    = 'C2A091344591F27F16AB7118E64006BB8BB2B35A3D7645028745316CF0BA06F6'
$url64       = 'https://dl.google.com/drive/gsync_enterprise64.msi'
$checksum64  = 'FA646D51E5873371DE72AA16285E2D16A6EF64EEEAB6FF6DC4271BBE8B0D3E40'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'MSI'
  url            = $url
  url64          = $url64
  validExitCodes = @(0, 3010, 1641)
  silentArgs     = '/quiet /norestart'
  softwareName   = 'Backup and Sync from Google'
  checksum       = $checksum
  checksumType   = 'sha256'
  checksum64     = $checksum64
  checksumType64 = 'sha256'  
}

Install-ChocolateyPackage @packageArgs  
